`lqr_vmap_get_data`
Prev | Visibiliy maps | Next

## Name

lqr_vmap_get_data — get varous `LqrVMap` object quantities

## Synopsis

    #include <lqr.h>

`gint* lqr_vmap_get_data(` | LqrVMap* vmap`)`;

## Description

The function `lqr_vmap_get_data` returns an array with the data stored into the `LqrVMap` object pointed to by `vmap`, ordered first by row, then by column.

Reading the data requires retrieval of the other quantities, through the functions `lqr_vmap_get_depth`(3), `lqr_vmap_get_width`(3), `lqr_vmap_get_height`(3) and `lqr_vmap_get_orientation`(3).

See the `LqrVMap` objects format description in the page for `lqr_vmap_new`(3).

## See also

`lqr_vmap_new`(3), `lqr_vmap_get_depth`(3), `lqr_vmap_get_width`(3), `lqr_vmap_get_height`(3), `lqr_vmap_get_orientation`(3)

Prev | Up | Next
`lqr_vmap_destroy` | Home | `lqr_vmap_get_depth`